;****** Tastaturkonstanten: *********************************************

kup     equ     00000010b       ;Tastatur-Rueckgabewert "Up"
kdown   equ     00000100b       ;    "          "       "Down"
kzero   equ     00000110b       ;    "          "       "Zero"
kscroll equ     00000001b       ;    "          "       "Scroll"
ktest   equ     00000101b       ;    "          "       "Force Baudmode"
kbaud   equ     00000011b       ;    "          "       "Force Testmode"

kmask   equ     00000111b       ;Maske fuer alle 3 Tasten

t_sleep equ     5               ;die Einschlafzeit wird aus t_sleep(high)
sleeptime equ   220             ;und sleeptime(low) gebildet.
tslow   equ     50              ;Scrollkonstante fuer Slow-Mode:  70*10ms
tspeed  equ     7               ;Scrollkonstante fuer Speed-Mode: 10*10ms

;****** Anzeigekonstanten: **********************************************

led3mA          equ     00100111b
led21mA         equ     01110111b

;****** Baudraten-Konstanten: *******************************************

baud250         equ     0               ;Eingestellte Baudrate
baud125         equ     1
baud62          equ     2
baud31          equ     3

;****** Display-Parameter-Konstanten: ***********************************

pkanal          equ     1
plampnr         equ     2
ppreheat        equ     3
pkurve          equ     4
pbaud           equ     5
ptest           equ     6

maxbaudrate     equ     3               ;4 Baudraten-Einstellungen
maxkanal        equ     99              ;Maximalwerte der einzelnen Var.
maxkurve        equ     24              ;25 Kurven zur Auswahl
maxpreheat      equ     99
maxlampnr       equ     7