;************************************************************************
;*                                                                      *
;*      Macro-und Konstanten-Vereinbarungen:                            *
;*                                                                      *
;************************************************************************

NORMBANK equ    00h
SIOBANK  equ    08h
INT1BANK equ    10h

;****** Watchdog-Macro: *************************************************

dowatch macro                           ;Hardware-Watchdog triggern:
        setb    IEN0.6                  ;Setzen Bit WDT
        setb    IEN1.6                  ;Setzen Bit SWDT
        endm

;****** Macros zum SIO-Interrupt: ***************************************

SIOANF  macro
        push    PSW
        mov     accustack,A             ;ist schneller als auf den Stack
        mov     PSW,#SIOBANK            ;besser 2 Regs immer reservieren
        endm                            ;=> 7 Zyklen

SIOENDE macro
        clr     RI
        mov     A,accustack             ;Akku wieder restaurieren
        pop     PSW
        reti                            ;=> 7 Zyklen
        endm
